/*
	Navigator.h
	This header file contains all of the essential includes for a project made using the Navigator library.
	Should be included into your main project files.

	GWM -- Feb 2022
*/
#ifndef NAVIGATOR_H
#define NAVIGATOR_H


#include <iostream>
#include <fstream>
#include <memory>
#include <utility>
#include <algorithm>
#include <functional>

#include <string>
#include <sstream>
#include <vector>
#include <unordered_map>
#include <unordered_set>

#include <cstdint>

#include "Navigator/Core/Logger.h"
#include "Navigator/Core/Application.h"
#include "Navigator/Physics/PhysicsLayer.h"
#include "Navigator/Physics/AnalysisStage.h"
#include "Navigator/Core/Parameter.h"
#include "Navigator/Core/SpectrumManager.h"
#include "Navigator/Core/Layer.h"
#include "Navigator/Events/Event.h"
#include "Navigator/Utils/TestServerLayer.h"
#include "Navigator/Utils/Instrumentor.h"

#endif
